cURL
curl --request POST \ --url https://api.dev.monei.cc/api/v1/evm-exchange/price/token-to-token \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "tokenIn": "0xA0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", "tokenOut": "0xdAC17F958D2ee523a2206206994597C13D831ec7", "amount": "100", "chainId": 1 } '
{ "statusCode": 123, "message": "<string>", "data": { "quoteId": "0x592dbadfad19da6808b637c2", "fromToken": { "address": "0x6b175474e89094c44da98b954eedeac495271d0f", "symbol": "DAI", "decimals": 18 }, "toToken": { "address": "0x6b175474e89094c44da98b954eedeac495271d0f", "symbol": "DAI", "decimals": 18 }, "fromAmount": "100000000000000000", "toAmount": "313241752841065035585", "rate": "3132.41752841065035585", "reverseRate": "0.000319", "minToAmount": "310104629627834539485", "protocolFee": "470558335793031453", "protocolFeeToken": { "address": "0x6b175474e89094c44da98b954eedeac495271d0f", "symbol": "DAI", "decimals": 18 }, "estimatedGas": "60012335624148", "estimatedGasUsd": "18.50", "priceImpact": "0.15", "liquidityAvailable": true, "totalValueUsd": "313.24", "expiryTimestamp": 1698765432, "blockNumber": "24161093", "chainId": 1 }, "errors": {} }
Token address to swap from
"0xA0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
Token address to swap to
"0xdAC17F958D2ee523a2206206994597C13D831ec7"
Amount of tokenIn to swap
"100"
Chain ID (e.g., 1 for Ethereum)
1
Show child attributes